---
name: Donatela Cekada
locality:
country: Remote
role: <a href="/job-families/sales/deal-desk/">Deal Desk Analyst</a>
reports_to: mgilgalindo
picture: donatelacekada.jpg
twitter:
gitlab: dcekada
departments:
- Sales
- Field Operations
story: 'Starts September 28th '
